Name:           leafpad
Version:        0.8.5
Release:        1%{?dist}
Summary:        GTK+ based simple text editor

Group:          Applications/Editors
License:        GPL
URL:            http://tarot.freeshell.org/leafpad/
Source0:        http://savannah.nongnu.org/download/leafpad/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.4 desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Leafpad is a GTK+ based simple text editor. The user interface is similar to
Notepad. It aims to be lighter than GEdit and KWrite, and to be as useful as
them.

%prep
%setup -q

%build
%configure --enable-chooser
make %{?_smp_mflags}
cat>>leafpad.desktop<<EOF
StartupNotify=true
GenericName=Text Editor
EOF

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category GTK \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/leafpad.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database

%postun
update-desktop-database

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Nov 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.5-1
- Upstream update

* Sat Jul 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.3-1
- Upstream update

* Thu May 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.1-1
- Upstream update

* Fri Apr 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.0-1
- Upstream update
- Cleanups

* Fri Apr 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-6
- Change vendor in desktop entry to lowercase
- Use %%find_lang

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-5
- %%

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-4
- Added desktop-file-utils to BuildRequires

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-3
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.7.9-1
- Bump release to 1

* Thu Feb  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.7.9-0.iva.0
- Initial RPM release.
